<?php

/**
 * Responsive images
 * 
 * https://developer.wordpress.org/reference/functions/wp_calculate_image_sizes/
 * https://developer.wordpress.org/reference/functions/wp_calculate_image_srcset/
 * https://wpdevelopment.courses/articles/performant-images-in-block-themes/
 */ 
add_filter('wp_calculate_image_sizes', function($sizes, $size_array, $image_src, $image_meta, $attachment_id) {
    // Only post thumbnail
    if (has_post_thumbnail() && $attachment_id === get_post_thumbnail_id()) {
		// Set sizes
        $sizes = "
		  (max-width: 450px) 150px,
		  (max-width: 1920px) 100vw,
		  1920px";
    }
    return $sizes;
}, 10, 5);
